import type { BadgeTextPropType, HideLabelPropType, KoliBriIconsProp, LabelWithExpertSlotPropType, SpanAPI, SpanStates, Stringified } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolSpanWc implements SpanAPI {
    render(): JSX.Element;
    _badgeText?: BadgeTextPropType;
    _allowMarkdown?: boolean;
    _hideLabel?: boolean;
    _icons?: Stringified<KoliBriIconsProp>;
    _label: LabelWithExpertSlotPropType;
    state: SpanStates;
    validateBadgeText(value?: BadgeTextPropType): void;
    validateAllowMarkdown(value?: boolean): void;
    validateHideLabel(value?: HideLabelPropType): void;
    validateIcons(value?: KoliBriIconsProp): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    componentWillLoad(): void;
}
